package com.its.vms.dto;

import com.its.vms.entity.TbVmsSymbLibDnld;
import io.swagger.annotations.ApiModel;
import lombok.Builder;
import lombok.Data;

import java.io.Serializable;

/**
 * VMS 심볼 제어기 다운로드 정보 DTO Class
 */
@Data
@Builder
@ApiModel("TbVmsSymbLibDnldDto(VMS 심볼 제어기 다운로드 정보)")
public class TbVmsSymbLibDnldDto implements Serializable {
    private static final long serialVersionUID = 1L;

    private Long vmsCtlrNmbr;
    private Integer dnldSymbLibNmbr;
    private String dnldDt;
    private Integer dnldCnt;
    private Integer symbLibNmbr;
    private String updtDt;

    public TbVmsSymbLibDnld toEntity() {
        return TbVmsSymbLibDnld.builder()
                .vmsCtlrNmbr(this.vmsCtlrNmbr)
                .dnldSymbLibNmbr(this.dnldSymbLibNmbr)
                .dnldDt(this.dnldDt)
                .dnldCnt(this.dnldCnt)
                .symbLibNmbr(this.symbLibNmbr)
                .updtDt(this.updtDt)
                .build();
    }

}
